Name:           mediawriter
Version:        5.0.4
Release:        %mkrel 1
Summary:        Write Fedora Images to Portable Media
Group:          File tools
License:        GPLv2+
URL:            https://github.com/FedoraQt/MediaWriter
Source0:        https://github.com/FedoraQt/MediaWriter/archive/MediaWriter-%{version}.tar.gz

Provides:       liveusb-creator = %{version}-%{release}
Obsoletes:      liveusb-creator < 4.1.5

BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  appstream-glib-devel
BuildRequires:  adwaita-qt6-devel
BuildRequires:  qtbase6-devel
BuildRequires:  qtqml6-devel
BuildRequires:  qtsvg6-devel
BuildRequires:  qtquick6-devel
BuildRequires:  qt6quickcontrols2-devel
BuildRequires:  qtbase6-qtpaths
BuildRequires:  xz-devel

Requires:       qt6-qtsvg
Requires:       qt6-qtdeclarative

Requires:       polkit
Requires:       udisks2

%description
A tool to write images of Fedora media to portable drives
like flash drives or memory cards.

%prep
%autosetup -p1 -n MediaWriter-%{version}

# Install the theme into correct prefix when building for /app
sed -i 's@\${QT6_INSTALL_QML}@%{_qt6_qmldir}@' src/theme/CMakeLists.txt

%build
%cmake

%cmake_build

%install
%cmake_install

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/org.fedoraproject.MediaWriter.appdata.xml

%files
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%{_metainfodir}/org.fedoraproject.MediaWriter.appdata.xml
%{_datadir}/applications/org.fedoraproject.MediaWriter.desktop
%{_datadir}/icons/hicolor/*/apps/org.fedoraproject.MediaWriter.png
%{_qt6_qmldir}/QtQuick/Controls/org/fedoraproject/AdwaitaTheme/
%{_qt6_qmldir}/org/fedoraproject/AdwaitaTheme/libadwaitathemeplugin.so
%{_qt6_qmldir}/org/fedoraproject/AdwaitaTheme/qmldir


%changelog
* Sun Dec 04 2022 wally <wally> 5.0.4-1.mga9
+ Revision: 1917656
- new version 5.0.4
- new bersion 5.0.2

* Sat May 21 2022 wally <wally> 5.0.1-1.mga9
+ Revision: 1859702
- new version 5.0.1
- switch to Qt6

* Tue Apr 05 2022 umeabot <umeabot> 4.2.2-2.mga9
+ Revision: 1844487
- Mageia 9 Mass Rebuild

* Fri Jun 25 2021 wally <wally> 4.2.2-1.mga9
+ Revision: 1732171
- new version 4.2.2

* Mon Apr 05 2021 wally <wally> 4.2.1-1.mga9
+ Revision: 1713435
- new version 4.2.1

* Sun Oct 04 2020 wally <wally> 4.1.6-1.mga8
+ Revision: 1632169
- new version 4.1.6

* Sat May 02 2020 wally <wally> 4.1.5-1.mga8
+ Revision: 1577872
- add rpm group
- import based on .spec from Fedora

